#pragma once

#include <memory>

#include "core/game.h"
#include "core/editor.h"
#include "core/corefactory.h"

namespace classic
{

std::unique_ptr<kku::Game> getGame(const std::shared_ptr<kku::CoreFactory>& core_factory);
std::unique_ptr<kku::Editor> getEditor(const std::shared_ptr<kku::CoreFactory>& core_factory);

}
